# $Revision: 1.14 $, $Date: 2007/01/12 13:26:23 $
Summary:	Cross-platform, open-source make system
Summary(pl):	Wieloplatformowy system make o otwartych rdach
Name:		cmake
Version:	2.4.6
Release:	1
License:	BSD
Group:		Development/Building
Source0:	http://www.cmake.org/files/v2.4/%{name}-%{version}.tar.gz
# Source0-md5:	c99c747ad8e9bfb3bef9cca875a52129
Patch0:		%{name}-ncurses.patch
URL:		http://www.cmake.org/HTML/Index.html
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CMake is used to control the software compilation process using simple
platform and compiler independent configuration files. CMake generates
native makefiles and workspaces that can be used in the compiler
environment of your choice. CMake is quite sophisticated: it is
possible to support complex environments requiring system
configuration, pre-processor generation, code generation, and template
instantiation.

%description -l pl
CMake suy do sterowania procesem kompilacji oprogramowania przy
uyciu prostych plikw konfiguracyjnych niezalenych od platformy i
kompilatora. CMake generuje natywne pliki makefile i workspace,
ktrych mona uywa w wybranym rodowisku kompilatora. CMake jest
do przemylany: moe obsuy zoone rodowiska wymagajce
konfiguracji systemu, generowanie preprocesora, generowanie kodu i
dziedziczenie szablonw.

%prep
%setup -q
%patch0 -p1

cat > "init.cmake" <<EOF
SET (CURSES_INCLUDE_PATH "%{_includedir}/ncurses" CACHE PATH " " FORCE)
EOF

%build
export CC="%{__cc}"
export CXX="%{__cxx}"
export CFLAGS="%{rpmcflags}"
export CXXFLAGS="%{rpmcxxflags}"
./bootstrap \
	--prefix=%{_prefix} \
	--mandir=/share/man \
	--datadir=/share/cmake \
	--init=init.cmake \
	--verbose

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog.* Copyright.txt *.gif Docs/{cmake,ctest}.{txt,html}
%attr(755,root,root) %{_bindir}/ccmake
%attr(755,root,root) %{_bindir}/cmake
%attr(755,root,root) %{_bindir}/cpack
%attr(755,root,root) %{_bindir}/ctest
%{_mandir}/man1/*.1*
%{_datadir}/cmake

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cmake.spec,v $
Revision 1.14  2007/01/12 13:26:23  deejay1
- up to 2.4.6

Revision 1.13  2006/12/05 11:14:43  deejay1
- up to 2.4.5

Revision 1.12  2006/11/21 20:24:16  deejay1
- 2.4.4

Revision 1.11  2006/08/17 10:37:44  deejay1
- up to 2.4.3

Revision 1.10  2006/05/31 17:19:23  deejay1
- up to 2.4.2

Revision 1.9  2006/05/07 18:54:28  darekr
- fix URL

Revision 1.8  2006/05/07 18:52:29  deejay1
- up to 2.4.1

Revision 1.7  2006/04/21 22:53:05  djurban
- updated to 2.4.0

Revision 1.6  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.5  2005/12/06 21:26:37  charles
- updated to 2.2.3
- BR: libstdc++-devel, ncurses-devel, rpmbuild(macros) >= 1.167
- "new" %build

Revision 1.4  2004/06/29 22:37:44  adamg
- updated to 1.8.3
- made it build

Revision 1.3  2004/06/29 19:00:07  qboosh
- cleanups, pl, files fixes

Revision 1.2  2004/06/29 12:54:41  adamg
- adapterized

* Thu Jan 9 2003 Austin Acton <aacton@yorku.ca> 1.4.7-1mdk
- initial package
